For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTIdentity Details
      • POSTDocument Details
      • POSTBiometrics Details
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC Reliance API

Identity Details

||View as Markdown|
POST
https://api-gateway-stg.transak.com/kyc/v2/reliance/identity-details
POST
/kyc/v2/reliance/identity-details
$curl -X POST https://api-gateway-stg.transak.com/kyc/v2/reliance/identity-details \
> -H "Content-Type: application/json" \
> -d '{
> "personalDetails": {
> "firstName": "Emily",
> "lastName": "Johnson",
> "dob": "1990-07-15",
> "mobileNumber": "+14155552671"
> },
> "addressDetails": {
> "addressLine1": "123 Maple Street",
> "state": "California",
> "city": "San Francisco",
> "countryCode": "US",
> "postCode": "94107",
> "addressLine2": "Apt 4B"
> },
> "purposeList": [
> "Buying/selling crypto for investments",
> "Buying NFTs",
> "Buying crypto to use a web3 protocol"
> ],
> "tinDetails": {
> "documentType": "SSN",
> "documentNumber": "123-45-6789"
> }
>}'
1{
2 "data": {
3 "status": "INITIALIZED",
4 "kycType": "STANDARD"
5 }
6}
Submits the user's **personal details**, **address**, **purpose of usage**, and optional **tax identifier (TIN)** data to initialize the KYC Reliance flow. **This request must always be called first** in the KYC Reliance sequence — it initializes the KYC request on Transak's side.
Was this page helpful?
Previous

Get FCA Status

Next

Document Details

Built with

Submits the user’s personal details, address, purpose of usage, and optional tax identifier (TIN) data to initialize the KYC Reliance flow. This request must always be called first in the KYC Reliance sequence — it initializes the KYC request on Transak’s side.

Headers

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

x-user-identifierstringOptional

our authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

Request

This endpoint expects an object.
personalDetailsobjectRequired
addressDetailsobjectRequired
purposeListlist of stringsRequired

Supported purpose strings (same contract as existing Whitelabel purpose-of-usage values). Examples include "Buying/selling crypto for investments", "Buying NFTs", and "Buying crypto to use a web3 protocol".

tinDetailsobjectOptional

Tax identification details. Optional depending on country/regulatory requirements — required when TIN collection applies for the user’s jurisdiction.

Response

Success — KYC request initialized

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error